# web3

* web3py

# Proxy
Apache proxy

```
apt-get -y install apache2 python3-certbot-apache
apt clean
a2enmod ssl rewrite proxy proxy_http headers proxy_wstunnel
a2ensite default-ssl.conf
echo vweb3.forksand.com > /var/www/html/index.html
vim iptables.test.rules
# Web
-A INPUT -p tcp --dport  80 -j ACCEPT
-A INPUT -p tcp --dport 443 -j ACCEPT

systemctl restart apache2
/root/iptables-reload
```

## Cerbot
Not public, use DNS.


```
sudo su -
pip3 install certbot-dns-njalla

touch /etc/njalla.ini
chmod 600 /etc/njalla.ini
# Create API key at Njalla
echo 'certbot_dns_njalla:dns_njalla_token=0000000000000000000000000000000000000000' > /etc/njalla.ini
certbot certonly -a certbot-dns-njalla:dns-njalla --certbot-dns-njalla:dns-njalla-credentials njalla.ini -d vweb3.forksand.com
# Disable API key at Njalla

# Plugin legacy name certbot-dns-njalla:dns-njalla may be removed in a future version. Please use dns-njalla instead.
#certbot run -n -d vweb3.forksand.com,eth.forksand.com --apache --agree-tos -m "certbot@forksand.com"

systemctl restart apache2
```

## Misc

```
htpasswd -c /etc/apache2/.htpasswd jebba
chmod 600 /etc/apache2/.htpasswd
```
